<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:30 CEST 2018 -->
<title>ch.sebi.zuul.exceptions</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ch.sebi.zuul.exceptions";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ch/sebi/zuul/command/executors/normal/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../ch/sebi/zuul/logic/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/sebi/zuul/exceptions/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;ch.sebi.zuul.exceptions</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Exception Summary table, listing exceptions, and an explanation">
<caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Exception</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../ch/sebi/zuul/exceptions/CommandNotFound.html" title="class in ch.sebi.zuul.exceptions">CommandNotFound</a></td>
<td class="colLast">
<div class="block">An exception which is thrown if a command wasn't found by the <a href="../../../../ch/sebi/zuul/command/CommandParser.html" title="class in ch.sebi.zuul.command"><code>CommandParser</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../ch/sebi/zuul/exceptions/IllegalSlotNumberException.html" title="class in ch.sebi.zuul.exceptions">IllegalSlotNumberException</a></td>
<td class="colLast">
<div class="block">An exception which is thrown if someone tries to access/allocate/create/... a slot in the inventory which
 is either greater or equal than the max slot number of the Inventory (<a href="../../../../ch/sebi/zuul/logic/items/Inventory.html#getMaxSlots--"><code>Inventory.getMaxSlots()</code></a>, if it is less
 then zero or if the accessed slot is null and not accessible.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../ch/sebi/zuul/exceptions/InputConvertException.html" title="class in ch.sebi.zuul.exceptions">InputConvertException</a></td>
<td class="colLast">
<div class="block">An exception which occures if an input fails in <a href="../../../../ch/sebi/zuul/logic/ui/input/Input.html#convertInput-java.lang.String-"><code>Input.convertInput(String)</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../ch/sebi/zuul/exceptions/InventoryException.html" title="class in ch.sebi.zuul.exceptions">InventoryException</a></td>
<td class="colLast">
<div class="block">A exception base class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../ch/sebi/zuul/exceptions/NoSpaceException.html" title="class in ch.sebi.zuul.exceptions">NoSpaceException</a></td>
<td class="colLast">
<div class="block">An exception which is thrown if no space is left in the inventory and the user tries to allocate a new slot</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ch/sebi/zuul/command/executors/normal/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../ch/sebi/zuul/logic/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/sebi/zuul/exceptions/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
